Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.web
Class Ajax4jsfFilter

    java.lang.Object
      org.jboss.seam.web.AbstractFilter
          org.jboss.seam.web.Ajax4jsfFilter

All Implemented Interfaces:
  javax.servlet.Filter

    @Scope(value=APPLICATION)
    @Name(value="org.jboss.seam.web.ajax4jsfFilter")
    @Install(precedence=0,
             dependencies="org.jboss.seam.web.ajax4jsfFilterInstantiator")
    @BypassInterceptors
    @Filter
    public class Ajax4jsfFilter

extends AbstractFilter

A Seam filter component wrapper for the Ajax4JSF. This class exists to allow the Ajax4JSF filter to be configured in the web: namespace. The subclass does the actual work.

Author:
  Pete Muir
See Also:
  `org.jboss.seam.ui.filter.Ajax4jsfFilterInstantiator`

Constructor Summary
`Ajax4jsfFilter()`

Method Summary
`void` | `doFilter(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, javax.servlet.FilterChain chain)`
`String` | `getEnableCache()`
`String` | `getForceparser()`
`String` | `getForceParser()`
`String` | `getLog4jInitFile()`
`void` | `init(javax.servlet.FilterConfig filterConfig)`
`void` | `setEnableCache(String enableCache)`
`void` | `setForceparser(String forceParser)`
`void` | `setForceParser(String forceParser)`
`void` | `setLog4jInitFile(String log4jInitFile)`

Methods inherited from class org.jboss.seam.web.AbstractFilter
`destroy, getRegexUrlPattern, getServletContext, getUrlPattern, isDisabled, isMappedToCurrentRequestPath, setDisabled, setRegexUrlPattern, setUrlPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ajax4jsfFilter

    public Ajax4jsfFilter()

Method Detail

### doFilter

    public void doFilter(javax.servlet.ServletRequest servletRequest,
                         javax.servlet.ServletResponse servletResponse,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Throws:
    `IOException`
    `javax.servlet.ServletException`

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Overrides:
    `init` in class `AbstractFilter`
  Throws:
    `javax.servlet.ServletException`

### getEnableCache

    public String getEnableCache()

### setEnableCache

    public void setEnableCache(String enableCache)

### getForceParser

    public String getForceParser()

### setForceParser

    public void setForceParser(String forceParser)

### getForceparser

    public String getForceparser()

### setForceparser

    public void setForceparser(String forceParser)

### getLog4jInitFile

    public String getLog4jInitFile()

### setLog4jInitFile

    public void setLog4jInitFile(String log4jInitFile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.